from collections import namedtuple
from math import ceil
Agent = namedtuple('Agent', ['path', 'it', 'id'])

it = list(range(0,51,10))
it2 = it
it4 = [ceil(i / 1.1) for i in it]
it6 = [ceil(i / 1.2) for i in it]
it8 = [ceil(i / 1.3) for i in it]

soccer_tab = [
    Agent('random', None, None),
    Agent('builtin', None, 0.5),
    Agent('builtin', None, 0),
    Agent('builtin', None, 1),

    Agent('result/soccer/tab_base/0:2', it, 0),
    Agent('result/soccer/tab_basebest/0:2', it, 0),
    Agent('result/soccer/tab_baserand/0:2', it, 0),
    Agent('result/soccer/tab_const2/0:2', it2, [0,1]),
    Agent('result/soccer/tab_const4/0:2', it4, [0,1,2,3]),
    Agent('result/soccer/tab_const6/0:2', it6, [0,1,2,3,4,5]),
]

it = list(range(0,41,8))
# it2 = it
# it4 = [ceil(i / 1.1) for i in it]
# it6 = [ceil(i / 1.2) for i in it]
# it8 = [ceil(i / 1.3) for i in it]

# gomoku_f2c1 = [
#     # Agent('random', None, None),
#     Agent('builtin', None, [0,2,4,8,10,12]),

#     Agent('result/gomoku/f2c1_base/0:2', it, 0),
#     Agent('result/gomoku/f2c1_basebest/0:2', it, 0),
#     Agent('result/gomoku/f2c1_baserand/0:2', it, 0),

#     Agent('result/gomoku/f2c1_const2/0:2', it2, [0,1]),
#     Agent('result/gomoku/f2c1_const4/0:2', it4, [0,1,2,3]),
#     Agent('result/gomoku/f2c1_const6/0:2', it6, [0,1,2,3,4,5]),
# ]

gomoku_f2c1 = [
    # Agent('builtin', None, [0]),
    Agent('result/gomoku/f2c1_base/0:9', it, 0),
    Agent('result/gomoku/f2c1_basebest/0:9', it, 0),
    Agent('result/gomoku/f2c1_baserand/0:9', it, 0),

    # manually adjust the inner loop count to make 'it' the same
    Agent('result/gomoku/f2c1_constv2/0:7', it, [0,1]),
    Agent('result/gomoku/f2c1_constv4/0:3', it, [0,1,2,3]),
    Agent('result/gomoku/f2c1_constv6/0:2', it, [0,1,2,3,4,5]),
]
